Groovy 1.7.0

## org.codehaus.groovy.transform.powerassert
Class PowerAssertionError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.AssertionError
                  org.codehaus.groovy.transform.powerassert.PowerAssertionError

    class PowerAssertionError
    extends AssertionError

Indicates that a power assertion has failed.

author:
  Peter Niederwieser

Constructor Summary
`PowerAssertionError(String msg)`

Method Summary
`String` | `toString()`

Methods inherited from class AssertionError
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Error
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, wait, wait, wait, hashCode, getClass, equals, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PowerAssertionError

    public PowerAssertionError(String msg)

Method Detail

### toString

    @Override
    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.